from unittest import TestCase

from sohstationviewer.model.handling_data import (
    sort_data
)


class TestSortData(TestCase):
    def setUp(self) -> None:
        self.data_dict = {'CH1': {'tracesInfo': [{'startTmEpoch': 7},
                                                 {'startTmEpoch': 1},
                                                 {'startTmEpoch': 5},
                                                 {'startTmEpoch': 3}]},
                          'CH2': {'tracesInfo': [{'startTmEpoch': 2},
                                                 {'startTmEpoch': 8},
                                                 {'startTmEpoch': 6},
                                                 {'startTmEpoch': 4}]}
                          }

    def test_sort_data(self):
        sort_data(self.data_dict)
        self.assertEqual(
            self.data_dict,
            {'CH1': {'tracesInfo': [{'startTmEpoch': 1}, {'startTmEpoch': 3},
                                    {'startTmEpoch': 5}, {'startTmEpoch': 7}]},
             'CH2': {'tracesInfo': [{'startTmEpoch': 2}, {'startTmEpoch': 4},
                                    {'startTmEpoch': 6}, {'startTmEpoch': 8}]}}
        )
